
Core - Task # 58761

Story # 58777 (Accepted): Fixes/Tasks for impexp / distributions

Status: Resolved Priority: Should have
Author: Marc Bastian Heinrichs Category: Import/Export (T3D)
Created: 2014-05-13 Assigned To: Marc Bastian Heinrichs
Updated: 2014-06-03 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Check and use current hash and size on export to prevent errors on import.
Description

On creating exports the file hash and size is used from the sys_file table.
Since this could differ in real live projects, those files would not be imported.

To prevent this, use the correct data for the export, but show an error to the user.

Associated revisions
Revision 8454a698 - 2014-06-03 23:14 - Marc Bastian Heinrichs

[TASK] Check and use current file hash and size on export

On creating exports the file hash and size is used from the
sys_file table. Since this could be not up-to-date in real live
projects, those files fail to be imported.

To prevent this, use the correct data for the export and show
an error to the user.

Resolves: #58761
Releases: 6.2
Change-Id: I7aacc6f00c52bc01c753af4ee32202a9219c02a1
Reviewed-on: https://review.typo3.org/30061
Reviewed-by: Bernd Niehues
Tested-by: Bernd Niehues
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History
#1 - 2014-05-13 14:41 - Marc Bastian Heinrichs
- Tracker changed from Bug to Task

#2 - 2014-05-13 16:26 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/30061
#3 - 2014-05-13 16:28 - Marc Bastian Heinrichs
- Parent task set to #58777

#4 - 2014-05-14 15:33 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/30061

#5 - 2014-06-03 23:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8454a6988c1d5ca765b6a3ffff43fbbadd642fcf.
